Bug 63981 - rhconfig.h __module__bigmem test missing underscore
rhconfig.h __module__bigmem test missing underscore
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-04-22 21:22 EDT by Matt Domsch
Modified: 2007-04-18 12:42 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-04-22 21:22:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Matt Domsch 2002-04-22 21:22:40 EDT
Description of Problem:
linux/include/linux/rhconfig.h test for setting of __module__bigmem is missing 
an underscore.  (it has __module_bigmem, not __module__bigmem).  This prevents 
_ver_str() from being properly defined for bigmem kernels (it doesn't get the 
smp decoration as it should).

This causes binary or shim'd closed source modules to not get the proper symbol 
names for linking.  I'm going to open this as a Sev. 2 issue as it causes 
problems, but I believe can be worked around...

Version-Release number of selected component (if applicable):
2.4.18-3

Additional Information:
Patch to fix this.

--- linux-2.4.18-3/include/linux/rhconfig.h.orig        Mon Apr 22 20:12:47 2002
+++ linux-2.4.18-3/include/linux/rhconfig.h     Mon Apr 22 20:12:57 2002
@@ -218,7 +218,7 @@
 # endif
 #endif

-#if defined(__module__smp) || defined(__module__BOOTsmp) || defined(__module__e
nterprise) || defined(__module_bigmem)
+#if defined(__module__smp) || defined(__module__BOOTsmp) || defined(__module__e
nterprise) || defined(__module__bigmem)
 #define _ver_str(x) smp_ ## x
 #else
 #define _ver_str(x) x
Comment 1 Matt Domsch 2002-07-24 10:26:40 EDT
Fixed in 2.4.18-4 and above.

Note You need to log in before you can comment on or make changes to this bug.